Bug 504153 - (CVE-2009-0783) CVE-2009-0783 tomcat XML parser information disclosure
CVE-2009-0783 tomcat XML parser information disclosure
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
Pavel Kralik
impact=low,source=asf,public=20090604...
: Security
Depends On: 504159 504160 504162 504163 528911 528912 528913 528914 533903 533905
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-04 09:55 EDT by Marc Schoenefeld
Modified: 2013-04-30 19:32 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-25 16:11:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc Schoenefeld 2009-06-04 09:55:29 EDT
A web application was able to replace the XML parser used by Tomcat to process web.xml, context.xml and tld files. In limited circumstances these bugs may allow a rouge web application to view and/or alter the web.xml, context.xml and tld files of other web applications deployed on the Tomcat instance.

Fixes for tomcat5: 
http://svn.apache.org/viewvc?rev=681156&view=rev
http://svn.apache.org/viewvc?rev=781542&view=rev

Fixes for tomcat6: 
http://svn.apache.org/viewvc?rev=652592&view=rev
http://svn.apache.org/viewvc?rev=739522&view=rev
Comment 4 errata-xmlrpc 2009-07-06 07:41:07 EDT
This issue has been addressed in following products:

  JBEAP 4.3.0 for RHEL 5

Via RHSA-2009:1145 https://rhn.redhat.com/errata/RHSA-2009-1145.html
Comment 5 errata-xmlrpc 2009-07-06 07:41:35 EDT
This issue has been addressed in following products:

  JBEAP 4.3.0 for RHEL 4

Via RHSA-2009:1146 https://rhn.redhat.com/errata/RHSA-2009-1146.html
Comment 6 errata-xmlrpc 2009-07-06 07:42:24 EDT
This issue has been addressed in following products:

  JBEAP 4.2.0 for RHEL 5

Via RHSA-2009:1143 https://rhn.redhat.com/errata/RHSA-2009-1143.html
Comment 7 errata-xmlrpc 2009-07-06 07:42:39 EDT
This issue has been addressed in following products:

  JBEAP 4.2.0 for RHEL 4

Via RHSA-2009:1144 https://rhn.redhat.com/errata/RHSA-2009-1144.html
Comment 8 errata-xmlrpc 2009-07-21 16:56:40 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1164 https://rhn.redhat.com/errata/RHSA-2009-1164.html
Comment 10 errata-xmlrpc 2009-09-21 11:51:55 EDT
This issue has been addressed in following products:

  JBEWS 1.0.0 for RHEL 4
  JBEWS 1.0.0 for RHEL 5

Via RHSA-2009:1454 https://rhn.redhat.com/errata/RHSA-2009-1454.html
Comment 14 errata-xmlrpc 2009-10-14 12:15:24 EDT
This issue has been addressed in following products:

  JBEWS 1.0.0 for RHEL 5
  JBEWS 1.0.0 for RHEL 4

Via RHSA-2009:1506 https://rhn.redhat.com/errata/RHSA-2009-1506.html
Comment 15 errata-xmlrpc 2009-11-09 10:26:31 EST
This issue has been addressed in following products:

  RHAPS Version 2 for RHEL 4

Via RHSA-2009:1562 https://rhn.redhat.com/errata/RHSA-2009-1562.html
Comment 16 errata-xmlrpc 2009-11-09 10:37:40 EST
This issue has been addressed in following products:

  Red Hat Developer Suite V.3

Via RHSA-2009:1563 https://rhn.redhat.com/errata/RHSA-2009-1563.html
Comment 21 errata-xmlrpc 2009-11-30 10:16:21 EST
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.2
  Red Hat Network Satellite Server v 5.3

Via RHSA-2009:1616 https://rhn.redhat.com/errata/RHSA-2009-1616.html
Comment 22 errata-xmlrpc 2009-11-30 10:18:13 EST
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.1

Via RHSA-2009:1617 https://rhn.redhat.com/errata/RHSA-2009-1617.html
Comment 23 Kurt Seifried 2011-10-25 16:11:06 EDT
All children bugs are closed, closing parent bug

Note You need to log in before you can comment on or make changes to this bug.